### Enumeration

# GWeather WindDirection

#### Declaration

    enum GWeather.WindDirection

#### Description [src]

The direction of the prevailing wind. Composite values such as north-north-east indicate a direction between the two component value (north and north-east).

#### Members

`GWEATHER_WIND_INVALID`

  Value not available.

  - Value: `-1`
  - Available since: 4.0
`GWEATHER_WIND_VARIABLE`

  Variable throughout the day.

  - Value: `0`
  - Available since: 4.0
`GWEATHER_WIND_N`

  North.

  - Value: `1`
  - Available since: 4.0
`GWEATHER_WIND_NNE`

  North-north-east.

  - Value: `2`
  - Available since: 4.0
`GWEATHER_WIND_NE`

  North-east.

  - Value: `3`
  - Available since: 4.0
`GWEATHER_WIND_ENE`

  East-north-east.

  - Value: `4`
  - Available since: 4.0
`GWEATHER_WIND_E`

  East.

  - Value: `5`
  - Available since: 4.0
`GWEATHER_WIND_ESE`

  East-south-east.

  - Value: `6`
  - Available since: 4.0
`GWEATHER_WIND_SE`

  South-east.

  - Value: `7`
  - Available since: 4.0
`GWEATHER_WIND_SSE`

  South-south-east.

  - Value: `8`
  - Available since: 4.0
`GWEATHER_WIND_S`

  South.

  - Value: `9`
  - Available since: 4.0
`GWEATHER_WIND_SSW`

  South-south-west.

  - Value: `10`
  - Available since: 4.0
`GWEATHER_WIND_SW`

  South-west.

  - Value: `11`
  - Available since: 4.0
`GWEATHER_WIND_WSW`

  West-south-west.

  - Value: `12`
  - Available since: 4.0
`GWEATHER_WIND_W`

  West.

  - Value: `13`
  - Available since: 4.0
`GWEATHER_WIND_WNW`

  West-north-west.

  - Value: `14`
  - Available since: 4.0
`GWEATHER_WIND_NW`

  North-west.

  - Value: `15`
  - Available since: 4.0
`GWEATHER_WIND_NNW`

  North-north-west.

  - Value: `16`
  - Available since: 4.0
`GWEATHER_WIND_LAST`

  Maximum value for the enumeration.

  - Value: `17`
  - Available since: 4.0

#### Type functions

###### gweather_wind_direction_to_string

No description available.

###### gweather_wind_direction_to_string_full

No description available.